@charset "utf-8";
/* CSS Document */

/*banner*/
.bgbannercheckout{
	background-image: url("../imgs/Banner03.jpg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	height: 500px;	
}

/*gender*/

.boxgrender{
	width: 30%;
}
.tieudeck{
	font-family: fontdecorative;
	color: #D6BB92;
	font-size: 30px;
	margin-bottom: 60px;
}

.gender, .namename, .phone, .method, .address{
	color: white;
	margin-bottom: 20px;
}

.checkout-form{
	display: block;
	word-wrap: normal;
  width: 100%;
  padding: 10px;
  border-radius: 3px;
  font-size: 18px;
  text-align: left;
  color: white;
  height: 45px;
  border: 0.5px solid white;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  outline: none;
}

#genderbox option{
	color: black;
}




/*name*/
.boxname{
	width: 65%;
}

.namebox{
	color: white;
	height: 45px;
	width: 100%;
	border: 0.5px solid white;
	border-radius: 10px;
	background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
      
      backdrop-filter: blur(5px);
          -webkit-backdrop-filter: blur(5px);
	width: 100%;
	margin-top: 5px;
	margin-bottom: 15px;
	padding-left: 15px;
	font-size: 16px;
	margin: 0px 0px 0px 0px;
}
.namebox:focus{
	outline: none;
}
.grendername{
	display: flex;
	justify-content: space-between;
	margin-bottom: 30px;
}




/*phone*/
.boxphone{
	margin-bottom: 30px;
}
.phonebox{
	color: white;
	height: 45px;
	width: 100%;
	border: 0.5px solid white;
	border-radius: 10px;
	background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
      
      backdrop-filter: blur(5px);
          -webkit-backdrop-filter: blur(5px);
	width: 100%;
	margin-top: 5px;
	margin-bottom: 15px;
	padding-left: 15px;
	font-size: 16px;
	margin: 0px;
}
.phonebox:focus{
	outline: none;
}


/*address*/
.scd{
	display: flex;
	justify-content: space-between;
	margin-bottom: 30px;
}
.addressbox{
	margin-bottom: 15px;
}
#statebox, #citybox, #dicstrictbox{
	width: 30%;
}
#statebox option, #citybox option, #dicstrictbox option{
	color: black;
}
.boxaddress{
	margin-bottom: 0px;
}



/*select */
.select-hidden {
  display: none;
  visibility: hidden;
  padding-right: 10px;
}

.select {
  cursor: pointer;
  display: inline-block;
  position: relative;
  font-size: 16px;
  color: #fff;
  width: 220px;
  height: 45px;
}

.select-styled {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border: 0.5px solid white;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  padding: 8px 15px;
  -moz-transition: all 0.2s ease-in;
  -o-transition: all 0.2s ease-in;
  -webkit-transition: all 0.2s ease-in;
  transition: all 0.2s ease-in;
	width: 90%;
}
.select-styled:after {
	font-family: "Font Awesome 5 Pro";
	font-size: 25px;
	content: '\f107';
	width: 0;
	height: 0;
	position: absolute;
	right: 25px;
	top: -3px;
	color: #D6BB92;
}
.select-styled:hover {
 border: 0.5px solid white;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}
.select-styled:active, .select-styled.active {
  border: 0.5px solid white;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}
.select-styled:active:after, .select-styled.active:after {
  font-family: "Font Awesome 5 Pro";
  content:  '\f106';
	bottom:33px;
}

.select-options {
  display: none;
  position: absolute;
  top: 100%;
  right: 0;
  left: 0;
  z-index: 999;
  margin: 0;
  padding: 0;
  list-style: none;
  background:rgba(251,250,250,1) ;
 
	border-radius: 5px;
}
.select-options li {
  margin: 0;
  padding: 12px 0;
  text-indent: 15px;
  -moz-transition: all 0.15s ease-in;
  -o-transition: all 0.15s ease-in;
  -webkit-transition: all 0.15s ease-in;
  transition: all 0.15s ease-in;
	color: black;
}
.select-options li:hover, .select-options li.is-selected {
  color: white;
  background: rgba(34,32,35,0.80);
}
.select-options li[rel="hide"] {
  display: none;
}









/*shipping method*/
.radio-input {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.radio-input * {
  box-sizing: border-box;
  padding: 5%;
  margin: 0;
  size: 18px;
  color: rgba(214,187,146,1.00);
  margin-left: 35px;
}

.radio-input label {
	display: flex;
	align-items: center;
	gap: 15px;
	padding: 0px 20px;
	width: 100%;
	cursor: pointer;
	height: 100px;
	position: relative;
	border: 0.5px solid white;
	border-radius: 10px;
	margin: 10px 0px;
	
}

.radio-input label::before {
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100px;
  z-index: -1;
  transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  border-radius: 10px;
  border: 2px solid transparent;
}
.radio-input label:hover::before {
  transition: all 0.2s ease;
  background-color: #222023;
}

.radio-input .label:has(input:checked)::before {
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  height: 100px;
	width: 100%;
}
.radio-input .label .text {
  color: #fff;
}

.radio-input .label input[type="radio"] {
  background-color: white;
	
  appearance: none;
  width: 17px;
  height: 17px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.radio-input .label input[type="radio"]:checked {
  
	border: 1px solid #D6BB92;
	background-color: transparent;
  -webkit-animation: puls 0.7s forwards;
  animation: pulse 0.7s forwards;
}

.radio-input .label input[type="radio"]:before {
  content: "";
  width: 9px;
  height: 9px;
  border-radius: 50%;
  transition: all 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
  background-color: #D6BB92;
  transform: scale(0);
}

.radio-input .label input[type="radio"]:checked::before {
  transform: scale(1);
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.4);
  }
  70% {
    box-shadow: 0 0 0 8px rgba(255, 255, 255, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
  }
}




/*bill*/
.dgnconco{
	background-color: white;
	margin: 30px 0px;
	width: 100%;
	text-align: center;
}
.tdbill{
	margin: 0px;
}
.boxbill{
	display: flex;
	justify-content: space-between;
	
}
.ndcon{
	color: white;
	margin: 0px;
}
.imgnigirisp img {
	width: 300px;
	}
.imgnigirisp{
	text-align: left
}

.pricehdco{
	display: flex;
	justify-content: space-between;
	color: white;
	padding-top: 15px;
}
.giaindam{
	font-size: 24px;
}

.shoppingcart{
	margin: 0px 15px;
	padding: 0px 90px;
}

.bill{
	border: 0.5px solid white;
	background: #1B1A1C;
    border-radius: 20px;  
      backdrop-filter: blur(5px);
          -webkit-backdrop-filter: blur(5px);
}

/*total*/

.ordersummary, .servicefee, .VAT, .discount{
	display: flex;
	justify-content: space-between;
	margin-bottom: 20px;
	color: white;
	padding: 0px 40px;
}
.totalco{
	display: flex;
	justify-content: space-between;
	color: white;
	padding: 0px 40px;
}
.gcc{
	font-size: 20px;
	color: #D6BB92;
}

/*=======================ONLY X-LARGE=======================*/
@media(min-width: 1200px){
	/*bill*/
	.shoppingcart{
	height: 650px;
	}
	.bill{
		height: 100%;
		padding: 30px;
	}
	
}


/*=======================ONLY LARGE=======================*/
@media(min-width: 992px) and (max-width: 1199px){
	
	/*bill*/
	.shoppingcart{
	height: 520px;
	}
	.bill{
		height: 100%;
		padding: 30px;
	}
	.boxname{
		width: 59%;
	}
}

/*=======================ONLY MEDIUM=======================*/
@media(min-width: 768px) and (max-width: 991px){
	
	/*banner*/
	.bgbannercheckout{
	background-position: center;
	background-size: cover;
	height: 300px;	
}
	/*bill*/
	.shoppingcart{
	height: 490px;
	margin: 0px 15px;
	padding: 0px 50px;
	}
	.imgnigirisp img {
	width: 400px;
	}
	.bill{
		height: 100%;
		padding: 30px;
	}
	
	.boxgrender .select {
  
  		width: 150px;
	}
	
	.scd .select {
	  width: 400px;
	  height: 45px;
	}
	
	
	.scd{
		display: block;
	}
	
	.scd .select{
		margin-bottom: 15px;
	}
	
	.boxname{
		width: 60%;
	}
	.ordersummary, .servicefee, .VAT, .discount {
		padding: 0px;
	}
	
	.radio-input * {
  box-sizing: border-box;
  padding: 0;
  margin: 0px;
}
}

/*=======================ONLY SMALL=======================*/
@media(min-width: 576px) and (max-width: 767px){
	.bill{
		height: 100%;
		padding: 30px;
		margin: 0px;
	}
	.shoppingcart{
		height: 350px;
		padding: 0px 80px;
	}
	
	
	.boxname{
		width: 58%;
	}
}




/*=======================ONLY X-SMALL=======================*/
@media(max-width: 576px){
	
	
	/*banner*/
	.bgbannercheckout{
	background-position: left;
	background-size: cover;
	height: 200px;	
	}
	
	
	.rj{
		margin-top: 100px;
	}
	.bill{
		height: 100%;
		padding: 30px;
		margin: 0px;
	}
	.shoppingcart{
		padding: 0px 50px;
	}
	.shoppingcart{
	height: 310px;
	}
	
	
	.boxname{
		width: 50%;
	}
	
	.boxshippingmethod{
		margin-bottom: 0px;
	}
	.radio-input * {
  box-sizing: border-box;
  padding: 4%;

  size: 16px;
  color: rgba(214,187,146,1.00);
  margin-left: 2%;
}
}